Package org.pgpainless.exception

# Class KeyException.UnboundUserIdException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.pgpainless.exception.KeyException
org.pgpainless.exception.KeyException.UnboundUserIdException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `KeyException`

public static class KeyException.UnboundUserIdException extends KeyException

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pgpainless.exception.KeyException

`KeyException.ExpiredKeyException, KeyException.MissingSecretKeyException, KeyException.PublicKeyAlgorithmPolicyException, KeyException.RevokedKeyException, KeyException.UnacceptableEncryptionKeyException, KeyException.UnacceptableSelfSignatureException, KeyException.UnacceptableSigningKeyException, KeyException.UnboundUserIdException`

## Constructor Summary

Constructors
Constructor
Description
`UnboundUserIdException(OpenPgpFingerprint fingerprint, String userId, org.bouncycastle.openpgp.PGPSignature userIdSignature, org.bouncycastle.openpgp.PGPSignature userIdRevocation)`

## Method Summary

### Methods inherited from class org.pgpainless.exception.KeyException

`getFingerprint`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnboundUserIdException

public UnboundUserIdException(@Nonnull OpenPgpFingerprint fingerprint, @Nonnull String userId, @Nullable org.bouncycastle.openpgp.PGPSignature userIdSignature, @Nullable org.bouncycastle.openpgp.PGPSignature userIdRevocation)